MPC85XX_RIO_DBEL(9)

NAME
mpc85xx_rio_dbell_handler - MPC85xx doorbell interrupt handler

SYNOPSIS

irqreturn_t mpc85xx_rio_dbell_handler (int irq, void * dev_instance, struct pt_regs * regs);

ARGUMENTS

irq Linux interrupt number

dev_instance
    Pointer to interrupt-specific data

regs
    Register context

DESCRIPTION

Handles doorbell interrupts. Parses a list of registered doorbell event handlers and executes a matching event handler.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.